
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the AZTECENCODEDLL_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// AZTECENCODEDLL_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.

#ifdef AZTECENCODEDLL_EXPORTS
#define AZTECENCODEWMDLL_API extern "C" __declspec(dllexport)
#else
#define AZTECENCODEWMDLL_API extern "C" __declspec(dllimport)
#endif

typedef struct 
{
	int  encodeMode;
    int  correctionLevel;
	int	 configType;
	int  rune;
	int  pixelSize;
	int  preferredConfig;
	int  margin;
	int  structuredAppendCounter;
	int  structuredAppendIndex;
	int  dataSize;
	BOOL processTilde;
	BOOL structuredAppend;
	COLORREF foreColor;
	COLORREF backColor;
	char *fileID;
	char encodedData[3500];
}AZTECCONTEXT;


AZTECENCODEWMDLL_API void __stdcall InitWorkSpace(AZTECCONTEXT *pAztecCtx);
AZTECENCODEWMDLL_API BOOL __stdcall FreeWorkSpace();
AZTECENCODEWMDLL_API HBITMAP __stdcall AztecEncode2Bitmap(AZTECCONTEXT *pAztecCtx);
AZTECENCODEWMDLL_API BOOL __stdcall AztecEncode2File(AZTECCONTEXT *pAztecCtx,char *pImageFile);
AZTECENCODEWMDLL_API BOOL __stdcall   AztecRegister(char *pMailBox,char *pRegCode);

